Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.branding
Interface IBundleGroupConstants

public interface IBundleGroupConstants

These constants define the set of properties that the UI expects to be available via `IBundleGroup.getProperty(String)`.

Since:
  3.0
See Also:
  `IBundleGroup.getProperty(String)`

Field Summary
`static String` | `ABOUT_TEXT` The text to show in an "about features" dialog.
`static String` | `FEATURE_IMAGE` An image which can be shown in an "about features" dialog (32x32).
`static String` | `LICENSE_HREF` The URL of the license page for the feature (optional).
`static String` | `TIPS_AND_TRICKS_HREF` A help reference for the feature's tips and tricks page (optional).
`static String` | `WELCOME_PAGE` The feature's welcome page (special XML-based format).
`static String` | `WELCOME_PERSPECTIVE` The id of a perspective in which to show the welcome page (optional).

Field Detail

### ABOUT_TEXT

    public static final String ABOUT_TEXT

  The text to show in an "about features" dialog.

  See Also:
    Constant Field Values

### FEATURE_IMAGE

    public static final String FEATURE_IMAGE

  An image which can be shown in an "about features" dialog (32x32).

  The value is a fully qualified valid URL.

  See Also:
    Constant Field Values

### TIPS_AND_TRICKS_HREF

    public static final String TIPS_AND_TRICKS_HREF

  A help reference for the feature's tips and tricks page (optional).

  See Also:
    Constant Field Values

### WELCOME_PAGE

    public static final String WELCOME_PAGE

  The feature's welcome page (special XML-based format).

  The value is a fully qualified valid URL.

  Products designed to run "headless" typically would not have such a page.

  See Also:
    Constant Field Values

### WELCOME_PERSPECTIVE

    public static final String WELCOME_PERSPECTIVE

  The id of a perspective in which to show the welcome page (optional).

  See Also:
    Constant Field Values

### LICENSE_HREF

    public static final String LICENSE_HREF

  The URL of the license page for the feature (optional).

  The value is a fully qualified valid URL.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.